Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.net
Class DNSUtil.HostAddress

    java.lang.Object
      org.jivesoftware.openfire.net.DNSUtil.HostAddress

Enclosing class:
  DNSUtil

    public static class DNSUtil.HostAddress

extends Object

Encapsulates a hostname and port.

Method Summary
`String` | `getHost()` Returns the hostname.
`int` | `getPort()` Returns the port.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getHost

    public String getHost()

  Returns the hostname.

  Returns:
    the hostname.

### getPort

    public int getPort()

  Returns the port.

  Returns:
    the port.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.